aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: SVN 10990 on AArch64 - wxWidgets 3.0.4 cannot check LargeFile support  (Read 192 times)

klode82

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 35

I'm working on compiling the new release of aMule with wxWidgets 3.0.4 on an Ubuntu Xenial 16.04 with AArch64 pc board (Pine64).
I had tried with the newest wxWidgets 3.1.1 but this version does not have compatibility with 2.6, so I decided to use the last stable release 3.0.4.

However, after compiled and installed wxWidgets 3.0.4, I got the error:

Code: [Select]
...you must compile wxWidgets with large file support enabled.
Looking into the help of configure of wxWidgets, I see that there is an option, --disable-largefile, so the large file support is enabled by default. That's strange.

Another question by newbie: there are many options --enable-[function], but when I compile wxWidgets I use only --enable-unicode --enable-threads. Is there some other options to be enabled?
Logged

klode82

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 35
Re: SVN 10990 on AArch64 - wxWidgets 3.0.4 cannot check LargeFile support
« Reply #1 on: March 11, 2018, 02:40:15 PM »

I've found my issue. It was a link error.

Infact, I've compiled the SVN 10990, but when I run amuled i got this:

Code: [Select]
13:24:38: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.6,compatible with 2.8).
 2018-03-11 13:24:38: amuleAppCommon.cpp(335): Initialising aMuleD SVN compiled with wxBase(GTK2) v3.0.4 and Boost 1.58 (Debugging) (Snapshot: rev. 10990)
 2018-03-11 13:24:38: amuleAppCommon.cpp(382): Checking if there is an instance already running...
 2018-03-11 13:24:38: amuleAppCommon.cpp(413): No other instances are running.
 2018-03-11 13:24:42: ListenSocket.cpp(67): ListenSocket: Ok.

While when I start amulegui, i got this:

Code: [Select]
amulegui
13:29:02: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.6,compatible with 2.8).
 2018-03-11 13:29:02 (remote-GUI): amuleAppCommon.cpp(335): Initialising aMuleGUI SVN compiled with wxGTK2 v3.0.4 and Boost 1.58 (Debugging) (Snapshot: rev. 10990)
 2018-03-11 13:29:02 (remote-GUI): amuleAppCommon.cpp(382): Checking if there is an instance already running...
 2018-03-11 13:29:02 (remote-GUI): amuleAppCommon.cpp(413): No other instances are running.
amulegui: relocation error: amulegui: symbol _ZNK8wxWindow7IsShownEv, version WXU_3.0 not defined in file libwx_gtk2u_core-3.0.so.0 with link time reference

Someone can help me with mismatch libraries?
Logged

Vollstrecker

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1478
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: SVN 10990 on AArch64 - wxWidgets 3.0.4 cannot check LargeFile support
« Reply #2 on: March 11, 2018, 08:02:40 PM »

Did you compile wx yourself?
Logged
Homefucking is killing prostitution

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 164
  • Offline Offline
  • Posts: 2721
Re: SVN 10990 on AArch64 - wxWidgets 3.0.4 cannot check LargeFile support
« Reply #3 on: March 21, 2018, 08:15:40 AM »

I've found my issue. It was a link error.

Please give some more details, it might be the cause of your problems.

Someone can help me with mismatch libraries?

Did you try a clean recompile?
Logged
concordia cum veritate